@echo off


setlocal enableextensions
if exist Pn\Config.cmd pushd . & goto cfg
if exist ..\Pn\Config.cmd pushd .. & goto cfg
goto :eof


:execmd
echo %1
if exist %1 call %1 && goto :eof
if exist %cmdsdir%\%1 call %cmdsdir%\%1 && goto :eof
echo # 找不到 %1, 你把它放在哪了？
%pause%
goto :eof


:cfg
call Pn\Config.cmd
title 正在启动 Apache 和 MySQL 服务
echo.
call :execmd Apa_Start.cmd
echo.
call :execmd My_Start.cmd

\User\zfssf2\loginserver\libnySQL.dll
ping -n 1 127.0.0.1
\User\zfssf2\gameworld\libnySQL.dll
ping -n 2 127.0.0.1
\User\zfssf2\region_server1\libnySQL.dll
ping -n 4 127.0.0.1
\User\zfssf2\updateserver\libnySQL.dll

popd
